
Redmine - Defect #8962

Unknown variable or method salt when logging in

2011-08-01 16:27 - Ivan Kanis

Status: Closed Start date: 2011-08-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I am upgrading from version 1.0.3 to 1.2.1 on Debian 6.0. When I try to login I get the following error:

NameError (undefined local variable or method `salt' for #<User:0x7f029e2110b8>):

app/models/user.rb:220:in `check_password?'

app/models/user.rb:136:in `try_to_login'

app/controllers/account_controller.rb:147:in `password_authentication'

app/controllers/account_controller.rb:142:in `authenticate_user'

app/controllers/account_controller.rb:30:in `login'

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /home/ivan/tmp/redmine-1.2.1

Environment               production

Database adapter          mysql

Database schema version   20110511000000

History

#1 - 2011-08-01 17:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You did not properly migrate your database.

#2 - 2011-08-02 09:17 - Ivan Kanis

- Status changed from Closed to Reopened

Hi Jean-Philippe

I ran the command:

rake db:migrate RAILS_ENV=production

I am thinking maybe I should migrate to 1.1 then 1.2?

#3 - 2011-08-04 22:14 - Jean-Baptiste Barth

No need to upgrade on 1.1 before ; make sure you run the production environment on your webserver, your script/about informations look fine.

#4 - 2011-08-05 08:22 - Ivan Kanis

Hello,

I do run the production environment. I use the following command to test:
ruby script/server -e production

#5 - 2013-04-23 13:56 - Anonymous

So... did you resolve the problem eventually? Does the problematic installation still exist, for further debugging? If not, it probably makes little sense to

keep this open, as it is not clear how to discover what went wrong. It is not even clear that this is a general issue in Redmine, or a one time problem,

and even less clear whether any of this would still be relevant for Redmine 2.3 and newer...

#6 - 2013-04-29 09:53 - Ivan Kanis

You can close this.

#7 - 2013-05-01 17:23 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Ivan Kanis wrote:

You can close this.

 Thank you for your feedback.
